Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## oracle.jcr
Interface OracleWorkspace

All Superinterfaces:
  Workspace

      public interface OracleWorkspace

extends Workspace

OracleWorkspace is a JCR session's view of a repository workspace.

Method Summary
`void` `commit()` Explicitly commits the in-progress local transaction.
`void` `rollback()` Explicitly rolls back the in-progress local transaction.

Methods inherited from interface javax.jcr.Workspace
`clone, copy, copy, getAccessibleWorkspaceNames, getImportContentHandler, getName, getNamespaceRegistry, getNodeTypeManager, getObservationManager, getQueryManager, getSession, importXML, move, restore`

Method Detail

### commit

    void commit()
                throws RepositoryException

  Explicitly commits the in-progress local transaction.
  Throws:
    `RepositoryException` - if the operation fails

### rollback

    void rollback()
                  throws RepositoryException

  Explicitly rolls back the in-progress local transaction.
  Throws:
    `RepositoryException` - if the operation fails

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2003, 2009, Oracle and/or its affiliates. All rights reserved.